Bug 194209 - GFS_tool reports incorrect inode amount
GFS_tool reports incorrect inode amount
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Abhijith Das
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2006-06-06 04:10 EDT by Chris Verhoef
Modified: 2010-01-11 22:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-07 12:55:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Verhoef 2006-06-06 04:10:12 EDT
Description of problem:
gfs_tool df reports the used inodes also as the total available inodes

Version-Release number of selected component (if applicable):

How reproducible:
gfs_tool fd <mountpoint of a GFS filesystem)

Steps to Reproduce:
Actual results:
  Type           Total          Used           Free           use%
  inodes         114092         114092         0              100%
  metadata       447757         285678         162079         64%
  data           142735731      141006426      1729305        99%

Expected results:
df -i /data/climexp
Filesystem            Inodes   IUsed   IFree IUse% Mounted on
/dev/sdc1            2005476  114092 1891384    6% /data/climexp

Additional info:
Comment 1 Abhijith Das 2006-06-07 12:55:24 EDT
The inode usage information shown by 'gfs_tool df <mountpoint>' is correct, but
not terribly useful. For related discussion, see

inodes are created from metadata and data blocks. When inodes are destroyed,
those blocks are reclaimed by the metadata and data block pools. That's why the
free inode blocks is zero most of the time.

Also, if you compare the output of 'df -i' with 'gfs_tool df', the free blocks
(IFree) is basically the sum of free data and metadata blocks. IUsed is the
number of inodes in use.

We're looking to address this issue in future versions of gfs to present this
information in a more useful manner.

Note You need to log in before you can comment on or make changes to this bug.